# $Revision: 1.6 $, $Date: 2008-02-16 21:35:19 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	debug
Summary:	Perl pragma for debugging and logging of debug lines
Summary(pl.UTF-8):	Pakiet Perla do śledzenia i logowania linii diagnostycznych
Name:		perl-debug
Version:	0.04
Release:	1
# same as perl
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/S/ST/STEVAN/debug-%{version}.tar.gz
# Source0-md5:	b68f551c947039ee6e7f578ba72d8beb
URL:		http://search.cpan.org/dist/debug/
%if %{with tests}
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Pod-Coverage >= 1.04
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The debug pragma provides a very simple way of turning on and off your
debugging lines, as well as a very flexible way of logging those lines
to literally anywhere you want.

%description -l pl.UTF-8
Pakiet debug udostępnia bardzo prosty sposób włączania i wyłączania
linii diagnostycznych, a także bardzo elastyczny sposób logowania tych
linii dosłownie wszędzie, gdzie chcemy.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/debug.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-debug.spec,v $
Revision 1.6  2008-02-16 21:35:19  radek
- version 0.04

Revision 1.5  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.3  2006/02/21 15:11:08  glen
- cosmetic

Revision 1.2  2006/02/20 18:48:54  qboosh
- pl, generic URL

Revision 1.1  2006/02/19 17:47:32  glen
- new (for NCGI)
